[arch-commits] Commit in (5 files)

Vesa Kaihlavirta vesa at archlinux.org
Wed Dec 16 01:45:28 EST 2009


    Date: Wednesday, December 16, 2009 @ 01:45:28
  Author: vesa
Revision: 61433

add haskell-array-0.3

Added:
  haskell-array/
  haskell-array/repos/
  haskell-array/trunk/
  haskell-array/trunk/PKGBUILD
  haskell-array/trunk/haskell-array.install

-----------------------+
 PKGBUILD              |   26 ++++++++++++++++++++++++++
 haskell-array.install |   13 +++++++++++++
 2 files changed, 39 insertions(+)

Added: haskell-array/trunk/PKGBUILD
===================================================================
--- haskell-array/trunk/PKGBUILD	                        (rev 0)
+++ haskell-array/trunk/PKGBUILD	2009-12-16 06:45:28 UTC (rev 61433)
@@ -0,0 +1,26 @@
+# Maintainer: Vesa Kaihlavirta <vesa at archlinux.org>
+# Contributor: Arch Haskell Team <arch-haskell at haskell.org>
+pkgname=haskell-array
+pkgrel=1
+pkgver=0.3.0.0
+pkgdesc="Mutable and immutable arrays"
+url="http://hackage.haskell.org/cgi-bin/hackage-scripts/package/array"
+license=('custom:BSD3')
+arch=('i686' 'x86_64')
+depends=(ghc=6.12.1 sh)
+options=('strip')
+source=(http://hackage.haskell.org/packages/archive/array/$pkgver/array-$pkgver.tar.gz)
+install=haskell-array.install
+
+build() {
+    cd $srcdir/array-$pkgver
+    runhaskell Setup configure --prefix=/usr || return 1
+    runhaskell Setup build                   || return 1
+    runhaskell Setup register   --gen-script || return 1
+    runhaskell Setup unregister --gen-script || return 1
+    install -D -m744 register.sh   $pkgdir/usr/share/haskell/$pkgname/register.sh
+    install    -m744 unregister.sh $pkgdir/usr/share/haskell/$pkgname/unregister.sh
+    runhaskell Setup copy --destdir=$pkgdir || return 1
+    install -D -m644 LICENSE $pkgdir/usr/share/licenses/$pkgname/LICENSE || return 1
+}
+md5sums=('d3508beefeae2ed9e626f417c25be437')

Added: haskell-array/trunk/haskell-array.install
===================================================================
--- haskell-array/trunk/haskell-array.install	                        (rev 0)
+++ haskell-array/trunk/haskell-array.install	2009-12-16 06:45:28 UTC (rev 61433)
@@ -0,0 +1,13 @@
+HS_DIR=/usr/share/haskell/haskell-array
+post_install() {
+  ${HS_DIR}/register.sh
+}
+pre_upgrade() {
+  ${HS_DIR}/unregister.sh
+}
+post_upgrade() {
+  ${HS_DIR}/register.sh
+}
+pre_remove() {
+  ${HS_DIR}/unregister.sh
+}



More information about the arch-commits mailing list